import 'package:flutter/material.dart';
import 'package:flutter_bloc/flutter_bloc.dart';
import 'package:sunmi_example/blocs/printing_bloc.dart';
import 'package:sunmi_example/repositories/repositories.dart';
import 'package:sunmi_example/widget/widget.dart';
import 'package:bloc/bloc.dart';
import 'package:sunmi_example/blocs/blocs.dart';

class SimpleBlocDeletage extends BlocDelegate {
  @override
  void onEvent(Bloc bloc, Object event) {
    super.onEvent(bloc, event);
    print('event => ${event.toString()}');
  }

  @override
  void onTransition(Bloc bloc, Transition transition) {
    super.onTransition(bloc, transition);
    print('transition => ${transition.toString()}');
  }

  @override
  void onError(Bloc bloc, Object error, StackTrace stacktrace) {
    super.onError(bloc, error, stacktrace);
    print('stacktrace => ${stacktrace.toString()}');
    print('error => ${error.toString()}');
  }
}

void main() {
  final PrintingRepository printingRepostory = PrintingRepository();
  BlocSupervisor.delegate = SimpleBlocDeletage();

  runApp(MultiBlocProvider(providers: [
    BlocProvider<PrintingBloc>(
      builder: (context) => PrintingBloc(printingRepository: printingRepostory)
        ..dispatch(PrintingInitial()),
    )
  ], child: new MobileApp()));
}

class MobileApp extends StatelessWidget {
  @override
  Widget build(BuildContext context) {
    return MaterialApp(
        title: 'SUNMI AIDL PRINT',
        theme: new ThemeData(
          primaryColor: Colors.black,
          buttonColor: Color(0xFFF37028),
          bottomAppBarColor: Color(0xFF00AB7A),
          fontFamily: 'Pantone',
        ),
        home: new PrintingPage());
  }
}
