import 'dart:typed_data';
import 'package:sunmi/class.dart';
import 'package:sunmi/sunmi.dart';

class PrintingRepository {
  Future<void> binding() async => await Sunmi.bindPrinter();
  Future<void> unbind() async => await Sunmi.unbindPrinter();
  Future<void> printText({String text}) async =>
      await Sunmi.printText(text: text);
  Future<void> printArray({List<SunmiPrinter> array}) async =>
      await Sunmi.printArray(array: array);
  Future<void> printQRCode(
          {String text, int moduleSize, ERRORLEVEL errorlevel}) async =>
      await Sunmi.printQRCode(
          text: text, moduleSize: moduleSize, errorLevel: errorlevel);
  Future<void> printBarcode(
          {String text,
          SYMBOLOGY symbology,
          int width,
          int height,
          TEXTPOS textpos}) async =>
      await Sunmi.printBarcode(
          text: text,
          symbology: symbology,
          width: width,
          height: height,
          textPosition: textpos);
  Future<void> printBitmap({Uint8List bytes}) async =>
      await Sunmi.printBitmap(bitmap: bytes);
}
